Package com.smartgwt.client.widgets.ace

# Class AcePosition

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.ace.AcePosition

All Implemented Interfaces:
  `HasHandlers`

public class AcePosition extends DataClass
Internal use only.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AcePosition()`
  `AcePosition(int row, int column)`
  `AcePosition(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumn()`
  Internal use only.
  `static AcePosition`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `int`
  `getRow()`
  Internal use only.
  `AcePosition`
  `setColumn(int column)`
  Internal use only.
  `AcePosition`
  `setRow(int row)`
  Internal use only.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AcePosition

    public AcePosition()

  - ### AcePosition

    public AcePosition(JavaScriptObject jsObj)

  - ### AcePosition

    public AcePosition(int row, int column)

- ## Method Details

  - ### getOrCreateRef

    public static AcePosition getOrCreateRef(JavaScriptObject jsObj)

  - ### setColumn

    public AcePosition setColumn(int column)
    Internal use only.

  - ### getColumn

    public int getColumn()
    Internal use only.

  - ### setRow

    public AcePosition setRow(int row)
    Internal use only.

  - ### getRow

    public int getRow()
    Internal use only.